ALTER PROCEDURE [arch].[spEnableDisableFK](@Mood int)
AS
/*
---- =============================================
---- Author:		Md. Mahmud Monir
----				
---- Create date:   02/10/2014
---- Description:	This SP is used to Enable/disable FK
---- Update date:   03/09/2015
---- Description:	remove fw table out of scope
---- =============================================
*/
BEGIN

	if (@Mood=0)
	BEGIN
		PRINT 'Begin disabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		ALTER TABLE [COWS].[arch]. ACT_TASK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT_ACCS_TAG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. APPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ArchiveLog     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST_REAS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_COST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EMAIL_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_ASN_TO_USER     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_FAIL_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_NVLD_TME_SLOT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_REC_LOCK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_SUCSS_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_IP_ADR     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_COL     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_PROD_ORDR_TYPE     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LVL_HIER     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_BILL_LINE_ITEM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CPE_LINE_ITEM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CSC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CUST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_GOM_XNCI     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_MSG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_RELTD_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_VAS     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. GRP_SITE_CNTNT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_DOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_FOLDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_ACCS_INFO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_EQPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. L2P_LOG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_CPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DISCO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DSL_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FMS_CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FORM_CHNG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_LOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MAC_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNGD_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS_OE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ODIE_DEV_NME     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_PVC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPAE_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VLAN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VRTL_CNCTN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRNSPRT_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRNSPRT_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACCS_TAG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACTY_TYPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_VAS_TYPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NCCO_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_CKT_ID_NUA     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_SIP_TRNK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_DISC_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN_INFO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_ADR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CKT_CHG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CNTCT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_EXP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_GRP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_H5_DOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_HOLD_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_JPRDY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_NTE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_REC_LOCK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_STDI_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_VLAN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SIP_TRNK_GRP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SQL_ERROR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. TRPT_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. USER_WFM_ASMT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL_ATCHMT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_FORM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PROF_STUS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PTRN_STUS     NOCHECK CONSTRAINT ALL
		
		ALTER TABLE [COWS].[dbo].[ORDR]  NOCHECK    CONSTRAINT [FK07_ORDR]
		--ALTER TABLE [COWS].[dbo].[ORDR]  NOCHECK    CONSTRAINT [FK08_VNDR_ORDR]
		--ALTER TABLE [COWS].[arch].[ORDR]  NOCHECK    CONSTRAINT [FK08_VNDR_ORDR]
		
		ALTER TABLE [COWS].[dbo].[FSA_ORDR_CPE_LINE_ITEM]    NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo].[FSA_ORDR_BILL_LINE_ITEM]   NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo].[FSA_ORDR_VAS]              NOCHECK CONSTRAINT ALL
		
		PRINT 'Finished disabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)

	END
	if (@Mood=1)
	BEGIN
		PRINT 'Begin Enabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		ALTER TABLE [COWS].[arch]. ACT_TASK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT_ACCS_TAG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. APPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ArchiveLog     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST_REAS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_COST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EMAIL_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_ASN_TO_USER     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_FAIL_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_NVLD_TME_SLOT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_REC_LOCK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_SUCSS_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_IP_ADR     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_COL     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_PROD_ORDR_TYPE     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LVL_HIER     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_BILL_LINE_ITEM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CPE_LINE_ITEM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CSC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CUST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_GOM_XNCI     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_MSG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_RELTD_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_VAS     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. GRP_SITE_CNTNT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_DOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_FOLDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_ACCS_INFO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_EQPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. L2P_LOG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_CPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DISCO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DSL_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FMS_CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FORM_CHNG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_LOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MAC_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNGD_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS_OE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ODIE_DEV_NME     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_PVC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPAE_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VLAN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VRTL_CNCTN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRNSPRT_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRNSPRT_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACCS_TAG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACTY_TYPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_VAS_TYPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NCCO_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_CKT_ID_NUA     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_SIP_TRNK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_DISC_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN_INFO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_ADR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CKT_CHG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CNTCT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_EXP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_GRP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_H5_DOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_HOLD_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_JPRDY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_NTE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_REC_LOCK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_STDI_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_VLAN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SIP_TRNK_GRP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SQL_ERROR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. TRPT_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. USER_WFM_ASMT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL_ATCHMT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_FORM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PROF_STUS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PTRN_STUS     CHECK CONSTRAINT ALL
		
		
		ALTER TABLE [COWS].[dbo].[ORDR]  CHECK    CONSTRAINT [FK07_ORDR]
		
		ALTER TABLE [COWS].[dbo].[FSA_ORDR_CPE_LINE_ITEM]    CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo].[FSA_ORDR_BILL_LINE_ITEM]   CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo].[FSA_ORDR_VAS]              CHECK CONSTRAINT ALL

		PRINT 'Finished enabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
	END
	
	if (@Mood=2)
	BEGIN
		PRINT 'Begin disabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		ALTER TABLE [COWS].[arch]. ACT_TASK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT_ACCS_TAG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. APPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ArchiveLog     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST_REAS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_COST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EMAIL_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_ASN_TO_USER     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_FAIL_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_NVLD_TME_SLOT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_REC_LOCK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_SUCSS_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_IP_ADR     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_COL     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_PROD_ORDR_TYPE     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LVL_HIER     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_BILL_LINE_ITEM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CPE_LINE_ITEM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CSC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CUST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_GOM_XNCI     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_MSG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_RELTD_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_VAS     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. GRP_SITE_CNTNT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_DOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_FOLDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_ACCS_INFO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_EQPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. L2P_LOG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_CPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DISCO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DSL_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FMS_CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FORM_CHNG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_LOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MAC_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNGD_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS_OE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ODIE_DEV_NME     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_PVC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPAE_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VLAN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VRTL_CNCTN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRNSPRT_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRNSPRT_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACCS_TAG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACTY_TYPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_VAS_TYPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NCCO_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_CKT_ID_NUA     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_SIP_TRNK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_DISC_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN_INFO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_ADR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CKT_CHG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CNTCT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_EXP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_GRP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_H5_DOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_HOLD_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_JPRDY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_NTE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_REC_LOCK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_STDI_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_VLAN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SIP_TRNK_GRP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SQL_ERROR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. TRPT_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. USER_WFM_ASMT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL_ATCHMT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_FORM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PROF_STUS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PTRN_STUS     NOCHECK CONSTRAINT ALL
		
		--ALTER TABLE [COWS].[dbo].[ORDR]  NOCHECK    CONSTRAINT [FK07_ORDR]
		----ALTER TABLE [COWS].[dbo].[ORDR]  NOCHECK    CONSTRAINT [FK08_VNDR_ORDR]
		----ALTER TABLE [COWS].[arch].[ORDR]  NOCHECK    CONSTRAINT [FK08_VNDR_ORDR]
		
		--ALTER TABLE [COWS].[dbo].[FSA_ORDR_CPE_LINE_ITEM]    NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo].[FSA_ORDR_BILL_LINE_ITEM]   NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo].[FSA_ORDR_VAS]              NOCHECK CONSTRAINT ALL
		
		ALTER TABLE [COWS].[dbo]. ACT_TASK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. AD_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. AD_EVENT_ACCS_TAG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. APPT     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. ArchiveLog     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CCD_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CCD_HIST_REAS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CKT_COST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CKT_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EMAIL_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_ASN_TO_USER     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_FAIL_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_NVLD_TME_SLOT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_REC_LOCK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_SUCSS_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_IP_ADR     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. FSA_LAYOUT_COL     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. FSA_LAYOUT_PROD_ORDR_TYPE     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. FSA_LVL_HIER     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_MDS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_MDS_EVENT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_MDS_EVENT_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_BILL_LINE_ITEM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_CPE_LINE_ITEM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_CSC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_CUST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_GOM_XNCI     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_MSG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_RELTD_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_VAS     NOCHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. GRP_SITE_CNTNT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. H5_DOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. H5_FOLDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR_ACCS_INFO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR_CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR_EQPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. L2P_LOG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_CPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_DISCO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_DSL_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_FMS_CKT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_FORM_CHNG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_LOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MAC_ACTY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MNGD_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MNS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MNS_OE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_ODIE_DEV_NME     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_PVC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_SPAE_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_VLAN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_VRTL_CNCTN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WIRED_TRNSPRT_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WIRED_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WRLS_TRNSPRT_DEV     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WRLS_TRPT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_MNGD_ACT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_MNGD_ACT_NEW     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT_ACCS_TAG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT_ACTY_TYPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT_VAS_TYPE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NCCO_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NGVN_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NGVN_EVENT_CKT_ID_NUA     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NGVN_EVENT_SIP_TRNK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_DISC_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_REQ     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_RSPN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_RSPN_INFO     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_ADR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_CKT_CHG     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_CNTCT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_EXP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_GRP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_H5_DOC     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_HOLD_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_JPRDY     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_NTE     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_REC_LOCK     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_STDI_HIST     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_VLAN     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SIP_TRNK_GRP     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SPLK_EVENT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SPLK_EVENT_ACCS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SQL_ERROR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. TRPT_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. USER_WFM_ASMT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_EMAIL     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_EMAIL_ATCHMT     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_FORM     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_MS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. WG_PROF_STUS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. WG_PTRN_STUS     NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. APPT_RCURNC_TRGR	NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. APPT_RCURNC_DATA	NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NRM_CKT			NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NRM_SRVC_INSTC	NOCHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NRM_VNDR			NOCHECK CONSTRAINT ALL

		PRINT 'Finished disabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		/*
		PRINT 'START IDENTITY_INSERT ON  for the DBO Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)

		SET IDENTITY_INSERT  [COWS].[dbo]. ACT_TASK     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. AD_EVENT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. AD_EVENT_ACCS_TAG     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. APPT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ArchiveLog     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. CCD_HIST     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. CCD_HIST_REAS     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. CKT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. CKT_COST     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. CKT_MS     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. EMAIL_REQ     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. EVENT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_ASN_TO_USER     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_FAIL_ACTY     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_HIST     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_NVLD_TME_SLOT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_REC_LOCK     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_SUCSS_ACTY     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_IP_ADR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_LAYOUT_COL     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_LAYOUT_PROD_ORDR_TYPE     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_LVL_HIER     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_MDS_EVENT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_MDS_EVENT_NEW     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_MDS_EVENT_ORDR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_BILL_LINE_ITEM     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_CPE_LINE_ITEM     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_CSC     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_CUST     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_GOM_XNCI     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_MSG     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_RELTD_ORDR     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_VAS     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. GRP_SITE_CNTNT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. H5_DOC     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. H5_FOLDR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR_ACCS_INFO     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR_CKT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR_EQPT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. L2P_LOG     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_ACCS     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_CPE     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_DISCO     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_DSL_TRPT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_FMS_CKT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_FORM_CHNG     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_LOC     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MAC_ACTY     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MNGD_DEV     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MNS     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MNS_OE     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_NEW     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_ODIE_DEV_NME     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_PVC     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_SPAE_TRPT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_VLAN     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_VRTL_CNCTN     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WIRED_TRNSPRT_DEV     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WIRED_TRPT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WRLS_TRNSPRT_DEV     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WRLS_TRPT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_MNGD_ACT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_MNGD_ACT_NEW     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_ACCS     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT_ACCS_TAG     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT_ACTY_TYPE     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT_VAS_TYPE     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. NCCO_ORDR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. NGVN_EVENT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. NGVN_EVENT_CKT_ID_NUA     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. NGVN_EVENT_SIP_TRNK     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_DISC_REQ     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_REQ     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_RSPN     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_RSPN_INFO     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_ADR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_CKT_CHG     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_CNTCT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_EXP     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_GRP     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_H5_DOC     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_HOLD_MS     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_JPRDY     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_MS     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_NTE     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_REC_LOCK     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_STDI_HIST     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_VLAN     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. SIP_TRNK_GRP     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. SPLK_EVENT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. SPLK_EVENT_ACCS     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. SQL_ERROR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. TRPT_ORDR     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. USER_WFM_ASMT     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_EMAIL     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_EMAIL_ATCHMT     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_FORM     ON
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_MS     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. WG_PROF_STUS     ON
		--SET IDENTITY_INSERT  [COWS].[dbo]. WG_PTRN_STUS     ON

		PRINT 'FINISHED IDENTITY_INSERT ON  for the DBO Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		*/
	END
	
	if (@Mood=3)
	BEGIN
		PRINT 'Begin Enabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		ALTER TABLE [COWS].[arch]. ACT_TASK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. AD_EVENT_ACCS_TAG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. APPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ArchiveLog     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CCD_HIST_REAS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_COST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. CKT_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EMAIL_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_ASN_TO_USER     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_FAIL_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_NVLD_TME_SLOT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_REC_LOCK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. EVENT_SUCSS_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_IP_ADR     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_COL     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LAYOUT_PROD_ORDR_TYPE     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. FSA_LVL_HIER     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_MDS_EVENT_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_BILL_LINE_ITEM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CPE_LINE_ITEM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CSC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_CUST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_GOM_XNCI     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_MSG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_RELTD_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. FSA_ORDR_VAS     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[arch]. GRP_SITE_CNTNT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_DOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. H5_FOLDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_ACCS_INFO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. IPL_ORDR_EQPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. L2P_LOG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_CPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DISCO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_DSL_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FMS_CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_FORM_CHNG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_LOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MAC_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNGD_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_MNS_OE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_ODIE_DEV_NME     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_PVC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPAE_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VLAN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_VRTL_CNCTN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRNSPRT_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WIRED_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRNSPRT_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_EVENT_WRLS_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MDS_MNGD_ACT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACCS_TAG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_ACTY_TYPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. MPLS_EVENT_VAS_TYPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NCCO_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_CKT_ID_NUA     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. NGVN_EVENT_SIP_TRNK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_DISC_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ODIE_RSPN_INFO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_ADR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CKT_CHG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_CNTCT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_EXP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_GRP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_H5_DOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_HOLD_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_JPRDY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_NTE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_REC_LOCK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_STDI_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. ORDR_VLAN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SIP_TRNK_GRP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SPLK_EVENT_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. SQL_ERROR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. TRPT_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. USER_WFM_ASMT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_EMAIL_ATCHMT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_FORM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. VNDR_ORDR_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PROF_STUS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[arch]. WG_PTRN_STUS     CHECK CONSTRAINT ALL
		
		
		--ALTER TABLE [COWS].[dbo].[ORDR]  CHECK    CONSTRAINT [FK07_ORDR]
		
		--ALTER TABLE [COWS].[dbo].[FSA_ORDR_CPE_LINE_ITEM]    CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo].[FSA_ORDR_BILL_LINE_ITEM]   CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo].[FSA_ORDR_VAS]              CHECK CONSTRAINT ALL
				ALTER TABLE [COWS].[dbo]. ACT_TASK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. AD_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. AD_EVENT_ACCS_TAG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. APPT     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. ArchiveLog     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CCD_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CCD_HIST_REAS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CKT_COST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. CKT_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EMAIL_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_ASN_TO_USER     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_FAIL_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_NVLD_TME_SLOT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_REC_LOCK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. EVENT_SUCSS_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_IP_ADR     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. FSA_LAYOUT_COL     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. FSA_LAYOUT_PROD_ORDR_TYPE     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. FSA_LVL_HIER     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_MDS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_MDS_EVENT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_MDS_EVENT_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_BILL_LINE_ITEM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_CPE_LINE_ITEM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_CSC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_CUST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_GOM_XNCI     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_MSG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_RELTD_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. FSA_ORDR_VAS     CHECK CONSTRAINT ALL
		--ALTER TABLE [COWS].[dbo]. GRP_SITE_CNTNT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. H5_DOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. H5_FOLDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR_ACCS_INFO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR_CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. IPL_ORDR_EQPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. L2P_LOG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_CPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_DISCO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_DSL_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_FMS_CKT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_FORM_CHNG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_LOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MAC_ACTY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MNGD_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MNS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_MNS_OE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_ODIE_DEV_NME     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_PVC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_SPAE_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_VLAN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_VRTL_CNCTN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WIRED_TRNSPRT_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WIRED_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WRLS_TRNSPRT_DEV     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_EVENT_WRLS_TRPT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_MNGD_ACT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MDS_MNGD_ACT_NEW     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT_ACCS_TAG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT_ACTY_TYPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. MPLS_EVENT_VAS_TYPE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NCCO_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NGVN_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NGVN_EVENT_CKT_ID_NUA     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NGVN_EVENT_SIP_TRNK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_DISC_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_REQ     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_RSPN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ODIE_RSPN_INFO     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_ADR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_CKT_CHG     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_CNTCT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_EXP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_GRP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_H5_DOC     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_HOLD_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_JPRDY     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_NTE     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_REC_LOCK     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_STDI_HIST     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. ORDR_VLAN     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SIP_TRNK_GRP     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SPLK_EVENT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SPLK_EVENT_ACCS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. SQL_ERROR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. TRPT_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. USER_WFM_ASMT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_EMAIL     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_EMAIL_ATCHMT     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_FORM     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. VNDR_ORDR_MS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. WG_PROF_STUS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. WG_PTRN_STUS     CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. APPT_RCURNC_DATA	CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. APPT_RCURNC_TRGR	CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NRM_CKT			CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NRM_SRVC_INSTC	CHECK CONSTRAINT ALL
		ALTER TABLE [COWS].[dbo]. NRM_VNDR			CHECK CONSTRAINT ALL
		

		PRINT 'Finished enabling Foreign Keys for the Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)

		/*
		PRINT 'START IDENTITY_INSERT OFF  for the DBO Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)

		SET IDENTITY_INSERT  [COWS].[dbo]. ACT_TASK     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. AD_EVENT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. AD_EVENT_ACCS_TAG     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. APPT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. APPT_RCURNC_DATA     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. APPT_RCURNC_DATA     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ArchiveLog     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. CCD_HIST     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. CCD_HIST_REAS     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. CKT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. CKT_COST     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. CKT_MS     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. EMAIL_REQ     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. EVENT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_ASN_TO_USER     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_FAIL_ACTY     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_HIST     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_NVLD_TME_SLOT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_REC_LOCK     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. EVENT_SUCSS_ACTY     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_IP_ADR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_LAYOUT_COL     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_LAYOUT_PROD_ORDR_TYPE     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_LVL_HIER     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_MDS_EVENT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_MDS_EVENT_NEW     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_MDS_EVENT_ORDR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_BILL_LINE_ITEM     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_CPE_LINE_ITEM     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_CSC     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_CUST     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_GOM_XNCI     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_MSG     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_RELTD_ORDR     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. FSA_ORDR_VAS     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. GRP_SITE_CNTNT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. H5_DOC     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. H5_FOLDR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR_ACCS_INFO     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR_CKT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. IPL_ORDR_EQPT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. L2P_LOG     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_ACCS     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_CPE     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_DISCO     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_DSL_TRPT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_FMS_CKT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_FORM_CHNG     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_LOC     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MAC_ACTY     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MNGD_DEV     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MNS     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_MNS_OE     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_NEW     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_ODIE_DEV_NME     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_PVC     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_SPAE_TRPT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_SPRINT_LINK_ATM_TRPT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_VLAN     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_VRTL_CNCTN     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WIRED_TRNSPRT_DEV     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WIRED_TRPT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WRLS_TRNSPRT_DEV     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_EVENT_WRLS_TRPT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_MNGD_ACT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MDS_MNGD_ACT_NEW     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_ACCS     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT_ACCS_TAG     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT_ACTY_TYPE     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. MPLS_EVENT_VAS_TYPE     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. NCCO_ORDR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. NGVN_EVENT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. NGVN_EVENT_CKT_ID_NUA     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. NGVN_EVENT_SIP_TRNK     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. NRM_CKT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. NRM_SRVC_INSTC     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. NRM_VNDR     OFF

		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_DISC_REQ     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_REQ     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_RSPN     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ODIE_RSPN_INFO     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_ADR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_CKT_CHG     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_CNTCT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_EXP     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_GRP     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_H5_DOC     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_HOLD_MS     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_JPRDY     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_MS     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_NTE     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_REC_LOCK     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_STDI_HIST     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. ORDR_VLAN     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. SIP_TRNK_GRP     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. SPLK_EVENT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. SPLK_EVENT_ACCS     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. SQL_ERROR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. TRPT_ORDR     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. USER_WFM_ASMT     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_EMAIL     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_EMAIL_ATCHMT     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_FORM     OFF
		SET IDENTITY_INSERT  [COWS].[dbo]. VNDR_ORDR_MS     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. WG_PROF_STUS     OFF
		--SET IDENTITY_INSERT  [COWS].[dbo]. WG_PTRN_STUS     OFF

		PRINT 'FINISHED IDENTITY_INSERT OFF  for the DBO Tables in the script at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		*/
	END

END